problem in exporting Arabic text to csv

2015-03-30 11:29 - vijay krishna

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.2

Description

We have problem in exporting arabic text to excel in csv format using english locale.

we have changed "general_csv_encoding: UTF-8" in en.yml config file. Please help on this.

Related issues:

Related to Redmine - Feature #7037: CSV export encoding and excel. UTF-8 and BOM Closed 2010-12-03

Is duplicate of Redmine - Defect #11116: CSV export encoding problem when iss... Closed

History

#1 - 2015-03-30 12:51 - Toshi MARUYAMA

- Subject changed from problem in exporting Arabic text to csv using english locale to problem in exporting Arabic text to csv

#2 - 2015-03-30 12:51 - Toshi MARUYAMA

- Priority changed from Urgent to Normal

#3 - 2015-03-30 12:52 - Toshi MARUYAMA

I don't know what Arabic standard code page is.

http://en.wikipedia.org/wiki/Windows-1256

#4 - 2015-04-01 10:34 - vijay krishna

- File issuesreported.xlsx added

i tried to change the "general_csv_encoding: Windows-1256" also, but still same issue.

Checked in my sql db the the arabic text is saving correctly, attaching the document for your reference.

Please help to suggest on this.

#5 - 2015-04-01 12:07 - vijay krishna

- File issuesreported.xlsx added

i have created issue #19543 to replicate the issue here in this forum. same problem i am getting while exporting this to csv format. Please help on

this.

#6 - 2015-04-02 04:15 - vijay krishna

Is this a limitation? can someone respond please.

#7 - 2015-04-02 09:48 - Toshi MARUYAMA

http://stackoverflow.com/a/1502134

Excel uses the machine-specific ANSI encoding.

 It seems you uses English Windows.

In this case you need to set UTF-8 in en.yml

and convert to Arabic encoding.

https://www.google.co.jp/search?q=excel%20utf-8

#8 - 2015-04-02 09:51 - Toshi MARUYAMA

- Related to Feature #7037: CSV export encoding and excel. UTF-8 and BOM added
#9 - 2015-04-02 10:43 - Toshi MARUYAMA

- Category changed from Issues to I18n

Try #7037#note-11 patch.

#10 - 2015-04-02 12:06 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

It seems you uses English Windows.

In this case you need to set UTF-8 in en.yml

and convert to Arabic encoding.

 Sorry, it is wrong.

There is no easy way.

Try #7037#note-12 patch.

#11 - 2015-04-02 12:27 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

Toshi MARUYAMA wrote:

It seems you uses English Windows.

In this case you need to set UTF-8 in en.yml

and convert to Arabic encoding.

 Sorry, it is wrong.

There is no easy way.

 Try this.

http://stackoverflow.com/a/11249968

#12 - 2015-04-06 11:47 - vijay krishna

- File Issues.xlsx added

Getting below error while trying to install the "redmine_csv_with_bom-master" plugin. please see attached for reference.

#13 - 2015-04-06 11:47 - vijay krishna

D:\redmine-2.5.1>rake redmine:plugins:migrate RAILS_ENV=production

rake aborted!

NameError: undefined method `issues_to_csv' for module `IssuesHelper'

D:/redmine-2.5.1/plugins/redmine_csv_with_bom-master/init.rb:4:in `block in <top

(required)>'

D:/redmine-2.5.1/plugins/redmine_csv_with_bom-master/init.rb:3:in `module_eval'

D:/redmine-2.5.1/plugins/redmine_csv_with_bom-master/init.rb:3:in `<top (require

d)>'

D:/redmine-2.5.1/lib/redmine/plugin.rb:150:in `block in load'

D:/redmine-2.5.1/lib/redmine/plugin.rb:141:in `each'

D:/redmine-2.5.1/lib/redmine/plugin.rb:141:in `load'

D:/redmine-2.5.1/config/initializers/30-redmine.rb:19:in `<top (required)>'

D:/redmine-2.5.1/config/environment.rb:14:in `<top (required)>'

Tasks: TOP => redmine:plugins:migrate => environment

(See full trace by running task with --trace)

#14 - 2015-04-18 05:39 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #11116.

#15 - 2015-04-18 05:40 - Toshi MARUYAMA

- Is duplicate of Defect #11116: CSV export encoding problem when issues and interface languages are not equal added
Files

issues.xlsx 36.2 KB 2015-03-30 vijay krishna

en.yml 48 KB 2015-03-30 vijay krishna

issuesreported.xlsx 144 KB 2015-04-01 vijay krishna

issuesreported.xlsx 155 KB 2015-04-01 vijay krishna

Issues.xlsx 29.2 KB 2015-04-06 vijay krishna
